#pragma once
#include "Entity.h"
class CS_Enemy_Skullstep;
class CS_Enemy_Skullstep_Leg :
    public Entity
{
public:
    CS_Enemy_Skullstep_Leg(std::weak_ptr<CS_Enemy_Skullstep> parent);
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    std::weak_ptr<CS_Enemy_Skullstep> parent;
    int act_no = 0;
    int count1 = 0;
    int phase = 0;
};

std::weak_ptr<CS_Enemy_Skullstep_Leg> SetCS_Enemy_Skullstep_Leg(std::shared_ptr<CS_Enemy_Skullstep> parent);